angular.module('focaModalActividad')
    .controller('focaModalActividadController', [
        '$timeout',
        '$filter',
        '$scope',
        '$uibModalInstance',
        'focaModalActividadService',
        'filters',
        function($timeout, $filter, $scope, $uibModalInstance, focaModalActividadService, filters) {

            $scope.filters = filters;
            $scope.actividades = [];

            focaModalActividadService.getActividades().then(function(res) {
                $scope.actividades = res.data;
            });

            $scope.cancel = function() {
                $uibModalInstance.dismiss('cancel');
            };

            $scope.select = function(actividad) {
                $uibModalInstance.close(actividad);
            };

        }]
    );
